Loading...
Searching...
No Matches
archive_aux.hpp File Reference
API

set of datastructures used to interact with a catalogue object More...

`#include "../my_config.h"`
`#include "integers.hpp"`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations

enum class | libdar::modified_data_detection { libdar::modified_data_detection::any_inode_change , libdar::modified_data_detection::mtime_size }
| how to detect data has changed when some fields More...
enum class | libdar::comparison_fields { libdar::comparison_fields::all , libdar::comparison_fields::ignore_owner , libdar::comparison_fields::mtime , libdar::comparison_fields::inode_type }
| how to consider file change during comparison and incremental backup More...
enum class | libdar::hash_algo { libdar::hash_algo::none , libdar::hash_algo::md5 , libdar::hash_algo::sha1 , libdar::hash_algo::sha512 , libdar::hash_algo::argon2 }
| hashing algorithm available More...

## Functions

std::string | libdar::hash_algo_to_string (hash_algo algo)
| convert hash value to human readable string
bool | libdar::string_to_hash_algo (const std::string &arg, hash_algo &val)
| convert string to hash algorithm
U_I | libdar::hash_algo_to_gcrypt_hash (hash_algo algo)
| convert hash value to libgcrypt hash value
unsigned char | libdar::hash_algo_to_char (hash_algo algo)
| convert hash value to char value
hash_algo | libdar::char_to_hash_algo (unsigned char arg)
| convert char to hash_algo

## Detailed Description

set of datastructures used to interact with a catalogue object

Definition in file archive_aux.hpp.